Bug 129815 - Add option to insert QR Code to Insert Tab on Tabbed UI
Summary: Add option to insert QR Code to Insert Tab on Tabbed UI
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2020-01-05 20:36 UTC by Drew Jensen
Modified: 2021-09-09 12:38 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Drew Jensen 2020-01-05 20:36:31 UTC
Description:
The current insert QR Code is via the top level menu only:
Insert->Object->QR Code

The Insert->Object sub_menu offers three options, Formula, QR Code and OLE Object. 

Formula and OLE Object are also available on the Insert Tab when using the Tabbed UI but the QR Code option is missing. 

Steps to Reproduce:
1. Open Writer or Draw
2. Switch to Tabbed UI
3. Switch to Insert Tab


Actual Results:
No way to insert QR Code without showing and using top level menu


Expected Results:
A button for QR code is available on the Insert Tab or on the Insert Tab context menu in the upper left corner.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Heiko Tietze 2020-01-20 09:25:40 UTC
Don't think we have to put everything on the tab and the QR thingy is a good example for a function that I would hide. But up to the Notebookbar designer...
Comment 2 andreas_k 2020-01-20 09:36:48 UTC
Thanks for the information. Therefore is the insert drop down menu on the right. In addition I can add it non visible by default in the tabbed UI.
Comment 3 V Stuart Foote 2020-12-19 17:19:02 UTC
Not resident yet as customize hidden control for the Tabbed NB. Would assume it would go in the Insert tab in the same block as the Symbol, Emoji and Formula controls.

@Andreas?
Comment 4 Heiko Tietze 2021-01-05 10:08:50 UTC Comment hidden (off-topic)
Comment 5 Commit Notification 2021-01-07 07:29:38 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/64ae89b8b6ecbcfeceb327b965a323e2acc7b141

tdf#129815 Add InsertQrCode to Insert tab menu drop down

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 andreas_k 2021-01-18 22:18:31 UTC
verified 

Version: 7.2.0.0.alpha0+
Build ID: f2171af6ce3516598d9f8bac8294025a21a5b1a2
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: en-US (en_AT.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-01-08_00:26:19
Calc: threaded
Comment 7 stragu 2021-09-09 12:38:37 UTC
Verified by Andreas and me.

Version: 7.2.0.2 / LibreOffice Community
Build ID: 614be4f5c67816389257027dc5e56c801a547089
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded